%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Version:	2.0.0
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		http://drumstick.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiPlugin)
BuildRequires:	pkgconfig(Qt5Widgets)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt5 wrapper around the ALSA library sequencer interface
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt5 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%doc ChangeLog COPYING
%{_libdir}/libdrumstick-*.so.%{major}
%{_libdir}/libdrumstick-*.so.%{major}.*
%{_libdir}/%{name}2/
%{_qt5_plugindir}/designer/lib%{name}-vpiano-plugin.so

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Obsoletes:	%{name}-devel < 0.5.0-7
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h

#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}

# MIME file was moved in 2.0.0
Conflicts:	%{_lib}drumstick1 < 2.0.0-1

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*.1*

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Sun Jan 03 2021 akien <akien> 2.0.0-1.mga8
+ Revision: 1668431
- Version 2.0.0, major 2

* Wed Dec 16 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1658335
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1536683
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Oct 22 2019 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1455113
- new version: 1.1.3

* Sat Mar 30 2019 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1381609
- Qt5 Rebuild

* Tue Dec 11 2018 akien <akien> 1.1.2-1.mga7
+ Revision: 1340298
- Version 1.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1297513
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.1.1-1.mga7
+ Revision: 1229331
- Version 1.1.1

* Sat Oct 29 2016 akien <akien> 1.1.0-1.mga6
+ Revision: 1063913
- Version 1.1.0

* Mon Jan 25 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 927555
- Version 1.0.2

* Fri Oct 23 2015 akien <akien> 1.0.1-1.mga6
+ Revision: 894772
- Version 1.0.1

* Sat Jan 10 2015 akien <akien> 1.0.0-1.mga5
+ Revision: 809743
- Version 1.0.0
  o Now based on Qt5
  o New drumstick-rt lib
- Proper libification

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-6.mga5
+ Revision: 741005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 678865
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-4.mga4
+ Revision: 503993
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-3.mga3
+ Revision: 349120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 sander85 <sander85> 0.5.0-2.mga3
+ Revision: 298695
- Fix build

* Thu Apr 07 2011 ennael <ennael> 0.5.0-1.mga1
+ Revision: 81962
- add missing build require
- clean spec file
+ ahmad <ahmad>
- imported package drumstick

